Summary:	Personal publishing platform
Name:		wordpress
Version:	3.0.5
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Servers
URL:		http://wordpress.org/
Source0:	http://wordpress.org/%{name}-%{version}.tar.gz
Source1:	README.install.urpmi
Requires:	apache-mod_php
Requires:	php-mysql
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
WordPress is a state-of-the-art, semantic, personal publishing platform with a
focus on aesthetics, Web standards, and usability. It was born out of a desire
for an elegant, well-architectured personal publishing system, and is the
official successor to b2/cafelog. While primarily geared towards functioning as
a Weblog, it is also a flexible CMS capable of managing many types of Web
sites. In addition to the basic Weblog functions, it also has an integrated
link manager (e.g. for blogrolls), XFN support, support for "static" pages,
Atom and RSS feeds for both content and comments, XML-RPC blogging API support
(Blogger, MetaWeblog, and Movable Type APIs), spam blocking features, advanced
cruft-free URL generation, a flexible theme system, and an advanced plugin API.

%prep

%setup -q -n %{name}

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# disable wordpress update option
sed -i -e "s/add_action/#add_action/g" wp-includes/update.php

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}

#cp %{SOURCE1} ./README.install.urpmi

cp -aRf * %{buildroot}/var/www/%{name}/

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    AllowOverride None
    Allow from All

#    Options FollowSymlinks
#    RewriteEngine On
#    RewriteBase /
#    RewriteCond %{REQUEST_FILENAME} !-f
#    RewriteCond %{REQUEST_FILENAME} !-d
#    RewriteRule . /index.php [L]
		    
</Directory>

EOF

# cleanup
rm -f %{buildroot}/var/www/%{name}/license.txt
cp %{SOURCE1} ./README.install.urpmi

%post
%if %mdkversion < 201010
%_post_webapp
%endif

%postun
%if %mdkversion < 201010
%_postun_webapp
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.install.urpmi
%doc license.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
/var/www/%{name}


%changelog
* Tue Feb 08 2011 Funda Wang <fwang@mandriva.org> 3.0.5-1
+ Revision: 636831
- update to new version 3.0.5

* Thu Dec 30 2010 Funda Wang <fwang@mandriva.org> 3.0.4-1mdv2011.0
+ Revision: 626268
- update to new version 3.0.4

  + Adam Williamson <awilliamson@mandriva.org>
    - bump rev for 2010.1 to be newer than the odd 2010.2-tagged build in contrib/testing (no need to submit for cooker or any other release, will bump to 3 when moving to updates for other releases)

* Thu Dec 09 2010 Funda Wang <fwang@mandriva.org> 3.0.3-1mdv2011.0
+ Revision: 616774
- update to new version 3.0.3

* Thu Dec 02 2010 Funda Wang <fwang@mandriva.org> 3.0.2-1mdv2011.0
+ Revision: 604663
- update to new version 3.0.2

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 3.0.1-1mdv2011.0
+ Revision: 563747
- update to new version 3.0.1

* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 3.0-1mdv2011.0
+ Revision: 553460
- update to new version 3.0

* Mon Feb 15 2010 Frederik Himpe <fhimpe@mandriva.org> 2.9.2-1mdv2010.1
+ Revision: 506413
- update to new version 2.9.2

* Sun Jan 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.9.1-2mdv2010.1
+ Revision: 492693
- rely on filetrigger for reloading apache configuration begining with 2010.1,
  rpm-helper macros otherwise
- spec cleanup
- no need to duplicate spec-helper job

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 2.9.1-1mdv2010.1
+ Revision: 486794
- update to new version 2.9.1

* Sat Dec 19 2009 Frederik Himpe <fhimpe@mandriva.org> 2.9-1mdv2010.1
+ Revision: 480143
- update to new version 2.9

* Fri Nov 13 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.6-1mdv2010.1
+ Revision: 465872
- update to new version 2.8.6

* Thu Oct 22 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.5-1mdv2010.0
+ Revision: 458948
- update to new version 2.8.5

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.4-1mdv2010.0
+ Revision: 415657
- update to new version 2.8.4

* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.3-1mdv2010.0
+ Revision: 409339
- update to new version 2.8.3

* Mon Jul 20 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.2-1mdv2010.0
+ Revision: 398109
- update to new version 2.8.2

* Thu Jul 09 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.1-1mdv2010.0
+ Revision: 393988
- Update to new version 2.8.1 (fixes CVE-2009-2334, CVE-2009-2335,
  CVE-2009-2336)

* Fri Jun 12 2009 Funda Wang <fwang@mandriva.org> 2.8-1mdv2010.0
+ Revision: 385353
- New version 2.8

* Wed Feb 11 2009 Funda Wang <fwang@mandriva.org> 2.7.1-1mdv2009.1
+ Revision: 339316
- New version 2.7.1

* Thu Dec 11 2008 Funda Wang <fwang@mandriva.org> 2.7-1mdv2009.1
+ Revision: 312636
- new version 2.7

* Wed Nov 26 2008 Funda Wang <fwang@mandriva.org> 2.6.5-1mdv2009.1
+ Revision: 306853
- new version 2.6.5

* Fri Oct 24 2008 Funda Wang <fwang@mandriva.org> 2.6.3-1mdv2009.1
+ Revision: 296905
- update to new version 2.6.3

* Tue Sep 09 2008 Frederik Himpe <fhimpe@mandriva.org> 2.6.2-1mdv2009.0
+ Revision: 283160
- update to new version 2.6.2

* Fri Aug 15 2008 Funda Wang <fwang@mandriva.org> 2.6.1-1mdv2009.0
+ Revision: 272446
- new version 2.6.1

* Tue Jul 15 2008 Funda Wang <fwang@mandriva.org> 2.6-1mdv2009.0
+ Revision: 235744
- update to new version 2.6

* Mon Apr 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.1-1mdv2009.0
+ Revision: 198099
- new version

* Tue Apr 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5-1mdv2009.0
+ Revision: 196402
- new version
- disable wordpress auto-update function
- add README.install.urpmi

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.3.3-2mdv2008.1
+ Revision: 171176
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Tue Feb 05 2008 Funda Wang <fwang@mandriva.org> 2.3.3-1mdv2008.1
+ Revision: 162802
- update to new version 2.3.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Funda Wang <fwang@mandriva.org> 2.3.2-1mdv2008.1
+ Revision: 139458
- update to new version 2.3.2

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Funda Wang <fwang@mandriva.org> 2.3.1-1mdv2008.1
+ Revision: 104044
- New version 2.3.1

* Tue Oct 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3-1mdv2008.1
+ Revision: 96218
- new version

* Tue Aug 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.2-1mdv2008.0
+ Revision: 59768
- new version

* Fri Jun 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 42983
- new version

* Fri May 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.0-1mdv2008.0
+ Revision: 27752
- new version


* Tue Mar 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.2-1mdv2007.0
+ Revision: 133947
- new version

* Fri Feb 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.1-1mdv2007.1
+ Revision: 124878
- new version

* Mon Feb 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.0-1mdv2007.1
+ Revision: 116177
- new version

* Mon Oct 30 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.5-1mdv2007.1
+ Revision: 73712
- Import wordpress

* Mon Oct 30 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.5-1mdv2007.1
- initial Mandriva package

